Subject: bug#16882: 24.3.50; with-temp-buffer-window broken

From: martin rudalics <[email-masked]>
Date: Sun, 16 Mar 2014 11:01:26 +0100

> As the bug found by Juanma shows I was fooled by this myself.  It should
 > now behave again in your sense.  I still have to explain the behavior in
 > the manual.

Sorry, but I had to revert that once more in the light of bug#17007.  A
major aspect of `with-temp-buffer-window' was (and the doc-string
indicated it) to evaluate BODY in the original buffer in order to get
the local variables, settings and keybindings of that buffer right.  I
messed that up in the Emacs 24.3 version of the macro and now have it do
what the doc-string indicated then.  So you will have to change your
code as I suggested earlier.

As a remedy you can now use the new macro `with-current-buffer-window'
instead which does exactly what `with-temp-buffer-window' did in Emacs
24.3.  This might not be the most convenient way to work with the same
code in Emacs 24.3 and subsequent versions but it's the best I can
offer.

Apologizing again, martin